Count number of write operations in the BulkWriteCommand

- « MongoDB\Driver\BulkWriteCommand::__construct

- MongoDB\Driver\BulkWriteCommand::deleteMany »

- PHP Manual
- MongoDB\Driver\BulkWriteCommand
- Count number of write operations in the BulkWriteCommand

# MongoDB\Driver\BulkWriteCommand::count

(mongodb >=2.1.0)

MongoDB\Driver\BulkWriteCommand::count — Count number of write operations in the BulkWriteCommand

### Description

public MongoDB\Driver\BulkWriteCommand::count(): int

Returns the number of write operations added to the MongoDB\Driver\BulkWriteCommand object.

### Parameters

This function has no parameters.

### Return Values

Returns number of write operations added to the MongoDB\Driver\BulkWriteCommand object.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\BulkWriteCommand::count() example

    <?php

    $bulk = new MongoDB\Driver\BulkWriteCommand;
    $bulk->insertOne('db.coll', ['_id' => 1, 'x' => 1]);
    $bulk->insertOne('db.coll', ['_id' => 2, 'x' => 2]);
    $bulk->updateOne('db.coll', ['x' => 2], ['$set' => ['x' => 1]]);
    $bulk->deleteMany('db.coll', ['x' => 1]);

    var_dump(count($bulk));

    ?>

The above example will output:

    int(4)